Subject: [Megaco] Failure of an MG : section 11.4

From: [email-masked]
Date: Fri, 23 Aug 2002 09:33:19 +0200

I have some questions on section 11.4 of RFC3015 :

"Allowing the MGC to send duplicate messages to both MGs accommodates
pairs of MGs that are capable of redundant failover of one of the
MGs. Only the Working MG shall accept or reject transactions. Upon
failover, the primary MG sends a ServiceChange command with a
"Failover" method and a "MG Impending Failure" reason. The MGC then
uses the secondary MG as the active MG. When the error condition is
repaired, the Working MG can send a "ServiceChange" with a "Restart"
method.

 Note: Redundant failover MGs require a reliable transport, because
 the protocol provides no means for a secondary MG running ALF to
 acknowledge messages sent from the MGC. "

What does mean  "send duplicate message to both MGs ..". ? Does it means
that
a MGC can manage a primary MG and a secondary MG with a different IP
address ?

Can someone elaborates more on the "Note" about the reliable transport ?

Thank-you for your help.
Jean-Luc
--------------------------------------------------------------------------------------------
Jean-Luc.Lecuyer :                   VND/E10VS/R&D/CCPD Lannion
Full telephone number :                                         33 (0)2 96 04 77 09
Full fax number :                                                        33 (0)2 96 04 72 35
Email :                                                         [email-masked]
---------------------------------------------------------------------------------------------

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco